

from graphics import *

WIDTH = 300
HEIGHT = 300
RADIUS = 10

def main():
    # Create window
    win = GraphWin("Keyboard-Controlled Ball", WIDTH, HEIGHT)

    # Create a "ball" (i.e. a red circle)
    ball = Circle(Point(10, 10), RADIUS)
    ball.setFill(color_rgb(255, 0, 0))

    # Draw ball to window
    ball.draw(win)

##    # Fix for non-Mac
##    clickedPt = win.getMouse()
##    slope = (clickedPt.getY() - ball.getCenter().getY()) / (clickedPt.getX() - ball.getCenter().getX())
##    
##    # Delta variables
##    if slope < 1:
##        deltaX = 2
##        deltaY = 2*slope
##    else:
##        deltaX = 2/slope
##        deltaY = 2
    
    # Animate ball
    while (win.checkMouse() == None):
        keyPressed = win.getKey()
        print(keyPressed)
        if keyPressed == "Left":
            ball.move(-10,0)
        elif keyPressed == "Right":
            ball.move(10,0)
        elif keyPressed == "Up":
            ball.move(0,-10)
        elif keyPressed == "Down":
            ball.move(0,10)

        
if __name__ == "__main__":
    main()
